org.richfaces.component

## Class ExtendedDataTableState

- java.lang.Object
- - org.richfaces.component.ExtendedDataTableState

- All Implemented Interfaces:
    java.io.Serializable

      public class ExtendedDataTableState
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    pgolawski
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.richfaces.component.ColumnGroupingState` | `columnGroupingState`
    `protected org.richfaces.component.ColumnsOrder` | `columnsOrder`
    `protected org.richfaces.component.ColumnsSizeState` | `columnsSizeState`
    `protected org.richfaces.component.ColumnsVisibility` | `columnsVisibility`
    `static java.lang.String` | `NONE_COLUMN_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedDataTableState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeColumnSize(UIExtendedDataTable extendedDataTable, java.lang.String newValue)`
    `void` | `changeColumnsOrder(java.lang.String sourceColumnId, java.lang.String targetColumnId, boolean dropBefore)`
    `void` | `disableGrouping()`
    `java.lang.String` | `getColumnSize(javax.faces.component.UIComponent column)`
    `static ExtendedDataTableState` | `getExtendedDataTableState(UIExtendedDataTable extendedDataTable)`
    `java.lang.String` | `getGroupingColumnId()`
    `void` | `groupBy(java.lang.String colId, org.richfaces.model.Ordering ordering)`
    `boolean` | `groupIsExpanded(int index)`
    `protected void` | `init(UIExtendedDataTable extendedDataTable)` Converts its state based on table attribute value or create default state if it is not set.
    `boolean` | `isColumnVisible(java.lang.String columnId)`
    `void` | `resetGroupVisibilityState()`
    `java.util.List<javax.faces.component.UIComponent>` | `sortColumns(javax.faces.context.FacesContext context, java.util.List<javax.faces.component.UIComponent> children)`
    `void` | `toggleColumnVisibility(UIExtendedDataTable extendedDataTable, java.lang.String columnId)`
    `void` | `toggleGroup(int index)`
    `org.richfaces.json.JSONObject` | `toJSON()`
    `java.lang.String` | `toString()` Converts its state to String representation in JSON format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE_COLUMN_ID

          public static final java.lang.String NONE_COLUMN_ID

      See Also:
        Constant Field Values

    - #### columnsOrder

          protected org.richfaces.component.ColumnsOrder columnsOrder

    - #### columnsVisibility

          protected org.richfaces.component.ColumnsVisibility columnsVisibility

    - #### columnsSizeState

          protected org.richfaces.component.ColumnsSizeState columnsSizeState

    - #### columnGroupingState

          protected org.richfaces.component.ColumnGroupingState columnGroupingState

  - ### Constructor Detail

    - #### ExtendedDataTableState

          public ExtendedDataTableState()

  - ### Method Detail

    - #### getExtendedDataTableState

          public static ExtendedDataTableState getExtendedDataTableState(UIExtendedDataTable extendedDataTable)

    - #### init

          protected void init(UIExtendedDataTable extendedDataTable)

      Converts its state based on table attribute value or create default state if it is not set.

    - #### toString

          public java.lang.String toString()

      Converts its state to String representation in JSON format.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### toJSON

          public org.richfaces.json.JSONObject toJSON()

    - #### changeColumnsOrder

          public void changeColumnsOrder(java.lang.String sourceColumnId,
                                java.lang.String targetColumnId,
                                boolean dropBefore)

    - #### sortColumns

          public java.util.List<javax.faces.component.UIComponent> sortColumns(javax.faces.context.FacesContext context,
                                                                      java.util.List<javax.faces.component.UIComponent> children)

    - #### isColumnVisible

          public boolean isColumnVisible(java.lang.String columnId)

    - #### toggleColumnVisibility

          public void toggleColumnVisibility(UIExtendedDataTable extendedDataTable,
                                    java.lang.String columnId)

    - #### changeColumnSize

          public void changeColumnSize(UIExtendedDataTable extendedDataTable,
                              java.lang.String newValue)

    - #### getColumnSize

          public java.lang.String getColumnSize(javax.faces.component.UIComponent column)

    - #### getGroupingColumnId

          public java.lang.String getGroupingColumnId()

    - #### groupBy

          public void groupBy(java.lang.String colId,
                     org.richfaces.model.Ordering ordering)

    - #### resetGroupVisibilityState

          public void resetGroupVisibilityState()

    - #### disableGrouping

          public void disableGrouping()

    - #### groupIsExpanded

          public boolean groupIsExpanded(int index)

    - #### toggleGroup

          public void toggleGroup(int index)

Copyright © 2014. All Rights Reserved.